Bug 54068 - 'eth%%d' in pcnet32.o syslog message
'eth%%d' in pcnet32.o syslog message
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-09-26 15:31 EDT by John Dalbec
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-27 05:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Dalbec 2001-09-26 15:31:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.7-2.19 i686)

Description of problem:
The pcnet32 driver records the following message in syslog:
kernel: eth%%d: PCnet/FAST III 79C975 at 0x2000, 00 02 55 7c fd 01
This looks like it was supposed to print 'eth0' instead.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. insmod pcnet32 on a machine with a compatible card

Actual Results:   
Message says 'eth%%d'.

Expected Results:   
Message probably intended to say 'eth0'.

Additional info:
alloc_etherdev passes a mask of 'eth%d' to alloc_netdev, apparently
expecting it to be used in a printf() call.  But alloc_netdev does a
strcpy() from the mask into dev->name.  I'm not sure how the % gets
Is dev->name supposed to contain 'eth0' as pcnet32 seems to expect?  Or is
'eth%d' correct?
Comment 1 Arjan van de Ven 2001-09-27 05:04:30 EDT
Yup, bug indeed.

alloc_etherdev() is supposed to just copy it, register_etherdev actually assigns
the number. (There can be a long time in between, in which races would lead to
duplicate numbers etc)

I'll see if the printk can be moved down.

Note You need to log in before you can comment on or make changes to this bug.